Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.expression
Enum IMetadataQuery.Multiplicity

    java.lang.Object
      java.lang.Enum<IMetadataQuery.Multiplicity>
          com.bea.content.expression.IMetadataQuery.Multiplicity

All Implemented Interfaces
  Serializable, Comparable<IMetadataQuery.Multiplicity>

Enclosing interface:
  IMetadataQuery

    public static enum IMetadataQuery.Multiplicity

extends Enum<IMetadataQuery.Multiplicity>

Multiplicity is used when searching user properties, and is used to restrict the search results to user (objectclass) properties with the specified name and multiplicity.

Enum Constant Summary
`any` search in both single and multi-valued user properties with the specified name
`multiValued` search in multi-valued user properties with the specified name.
`singleValued` search in single-valued user properties with the specified name

Method Summary
`static IMetadataQuery.Multiplicity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IMetadataQuery.Multiplicity[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### singleValued

    public static final IMetadataQuery.Multiplicity singleValued

  search in single-valued user properties with the specified name

### multiValued

    public static final IMetadataQuery.Multiplicity multiValued

  search in multi-valued user properties with the specified name.

### any

    public static final IMetadataQuery.Multiplicity any

  search in both single and multi-valued user properties with the specified name

  this may be slower than a single-valued search, so when searching for user properties which are known to be single-valued, it is best to use singleValued.

Method Detail

### values

    public static final IMetadataQuery.Multiplicity[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static IMetadataQuery.Multiplicity valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.